---
title: Retrieve Declared Parameters
slug: tutorials/retrieve-declared-parameters
description: Learn how to retrieve audio, transcript, or chat interaction parameters with this comprehensive guide. Explore examples of GET requests in multiple programming languages, understand potential responses, and delve into the response data schema.
docTags: 
createdAt: 2022-06-28T20:08:35.000Z
---

# <font color="#3694fc">// </font>Overview&#x20;

Leveraging the unique **`interactionIdentifier`** provided upon successfully declaring the [audio](docId\:PqLj1vqO7gTf0iqj1LBVN), [chat](docId\:iD41ifX7uC0RZDlb7RbtO), or [transcript](docId:8OMp8XUfyRY9gaB1YIvul) interaction, this endpoint enables you to instantly **retrieve the parameters declared** when submitting the interaction for processing.

When this <font color="#2166ae">`GET`</font> request successfully executes, an **`HTTP`** status will be returned to indicate the request was successful, along with a **`JSON`** response outlining the [declared parameters](docId\:m4rtu1uF1II3kNQYmoGVW) for the given **`interactionIdentifier`**.


:::CodeblockTabs
Sample API Response

```json
{
    "identifier": "a3c1c9b5-5371-472c-97c1-538b369ff149",
    "type": "audio",
    "languageTag": "en-US",
    "vertical": "default",
    "audioTranscriptionMode": "highSpeed",
    "transcript": null,
    "chat": null,
    "downloadUri": null,
    "includeAiResults": true
}
```
:::

If an error occurs when requesting to declare the interaction, a standard `HTTP` response code is retuned to indicate the request was unsuccessful, along with a `JSON` response containing additional details to [assist with troubleshooting](https://docs.elevateai.com/#Qofti).

***

# <font color="#23c9ff">//  </font>Request Parameters & Code Example

:::ApiMethodV2
```json
{
  "tab": "examples",
  "url": "https://api.elevateai.com/v1/interactions/{interactionIdentifier}",
  "name": "Retrieve Declared Parameters",
  "method": "GET",
  "request": {
    "pathParameters": [
      {
        "kind": "required",
        "name": "interactionIdentifier",
        "type": "string",
        "description": "interactionIdentifier returned upon successfully declaring the interaction"
      }
    ],
    "queryParameters": [],
    "headerParameters": [
      {
        "kind": "required",
        "name": "X-API-Token",
        "type": "string",
        "description": "Valid API key associated with your account for authentication and usage tracking"
      },
      {
        "kind": "optional",
        "name": "Accept-Encoding",
        "type": "string",
        "description": "Recommended for bandwidth optimization, will be 'gzip, deflate, br'"
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "results": {
    "languages": [
      {
        "id": "z4oJaIchyK2u3vEsn0Hc_",
        "code": "{\n    \"identifier\": \"string\",\n    \"type\": \"string\",\n    \"languageTag\": \"string\",\n    \"vertical\": \"string\",\n    \"audioTranscriptionMode\": \"string\",\n    \"transcript\": null,\n    \"chat\": null,\n    \"downloadUri\": \"string\",\n    \"includeAiResults\": boolean\n}\n",
        "language": "200",
        "customLabel": ""
      },
      {
        "id": "6qtTbZWCFEZJoynVEKZ7J",
        "code": "{\r\n  \"errorMessage\": \"string\"\r\n}",
        "language": "401",
        "customLabel": ""
      },
      {
        "id": "kED3nZp5YCf_nIV5WBK6L",
        "code": "{\r\n  \"errorMessage\": \"string\"\r\n}",
        "language": "404",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "z4oJaIchyK2u3vEsn0Hc_"
  },
  "examples": {
    "languages": [
      {
        "id": "-F8VjrVe5qr1EhrI7Egt1",
        "code": "curl --location -g --request GET 'https://api.elevateai.com/v1/interactions/{InteractionIdentifier}' \\\r\n--header 'Accept-Encoding: gzip, deflate, br' \\\r\n--header 'X-API-Token: {Your API Token}'",
        "language": "curl",
        "customLabel": ""
      },
      {
        "id": "DEAPX_aaeTIuwVOKMpY11",
        "code": "var request = require('request');\nvar options = {\n  'method': 'GET',\n  'url': 'https://api.elevateai.com/v1/interactions/{InteractionIdentifier}',\n  'headers': {\n    'Accept-Encoding': 'gzip, deflate, br',\n    'X-API-Token': '{Your API Token}'\n  }\n};\nrequest(options, function (error, response) {\n  if (error) throw new Error(error);\n  console.log(response.body);\n});\n",
        "language": "nodejs",
        "customLabel": ""
      },
      {
        "id": "eikTqEFAMyWmExzS4sHLA",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept-Encoding\", \"gzip, deflate, br\");\nmyHeaders.append(\"X-API-Token\", \"{Your API Token}\");\n\nvar requestOptions = {\n  method: 'GET',\n  headers: myHeaders,\n  redirect: 'follow'\n};\n\nfetch(\"https://api.elevateai.com/v1/interactions/{InteractionIdentifier}\", requestOptions)\n  .then(response => response.text())\n  .then(result => console.log(result))\n  .catch(error => console.log('error', error));",
        "language": "javascript",
        "customLabel": ""
      },
      {
        "id": "P-xG2nOhXjy2ndoIo_acD",
        "code": "import http.client\n\nconn = http.client.HTTPSConnection(\"api.elevateai.com\")\npayload = ''\nheaders = {\n  'Accept-Encoding': 'gzip, deflate, br',\n  'X-API-Token': '{Your API Token}'\n}\nconn.request(\"GET\", \"/v1/interactions/{InteractionIdentifier}\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))",
        "language": "python",
        "customLabel": ""
      },
      {
        "id": "idP5iMx79uQ9r--QRJ2Mq",
        "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.elevateai.com/v1/interactions/{InteractionIdentifier}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"Accept-Encoding\"] = \"gzip, deflate, br\"\nrequest[\"X-API-Token\"] = \"{Your API Token}\"\n\nresponse = https.request(request)\nputs response.read_body",
        "language": "ruby",
        "customLabel": ""
      },
      {
        "id": "3TCL1zGaUQ7QJ9qiI-khj",
        "code": "var client = new RestClient(\"https://api.elevateai.com/v1/interactions/{InteractionIdentifier}\");\r\nclient.Timeout = -1;\r\nvar request = new RestRequest(Method.GET);\r\nrequest.AddHeader(\"Accept-Encoding\", \"gzip, deflate, br\");\r\nrequest.AddHeader(\"X-API-Token\", \"{Your API Token}\");\r\nIRestResponse response = client.Execute(request);\r\nConsole.WriteLine(response.Content);",
        "language": "csharp",
        "customLabel": ""
      },
      {
        "id": "eVRtG2Awjtsb3qHrKf5ZP",
        "code": "<?php\r\n\r\n$curl = curl_init();\r\n\r\ncurl_setopt_array($curl, array(\r\n  CURLOPT_URL => 'https://api.elevateai.com/v1/interactions/%7BInteractionIdentifier%7D',\r\n  CURLOPT_RETURNTRANSFER => true,\r\n  CURLOPT_ENCODING => '',\r\n  CURLOPT_MAXREDIRS => 10,\r\n  CURLOPT_TIMEOUT => 0,\r\n  CURLOPT_FOLLOWLOCATION => true,\r\n  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\r\n  CURLOPT_CUSTOMREQUEST => 'GET',\r\n  CURLOPT_HTTPHEADER => array(\r\n    'Accept-Encoding: gzip, deflate, br',\r\n    'X-API-Token: {Your API Token}'\r\n  ),\r\n));\r\n\r\n$response = curl_exec($curl);\r\n\r\ncurl_close($curl);\r\necho $response;\r\n",
        "language": "php",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "P-xG2nOhXjy2ndoIo_acD"
  },
  "description": "",
  "currentNewParameter": {
    "label": "Header Parameter",
    "value": "headerParameters"
  },
  "autoGeneratedAnchorSlug": "retrieve-declared-parameters",
  "legacyHash": "QmOnlxVdz8fYbQXwirNAI"
}
```
:::

***

# <font color="#3694fc">//  </font>Response Schema

## Schema

| **Element**            | **Type**       | **Description**                                                                                                                                                   |
| ---------------------- | -------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| identifier             | string         | Unique **`interactionIdentifier`** associated with the request                                                                                                    |
| type                   | string         | Type of interaction, will be **`audio`**, **`chat`**, or **`transcript`**                                                                                         |
| languageTag            | string         | Primary language of the file, will be **`en-us `**&#x66;or North American English, **`en`** for International English, or **`es-419`** for North American Spanish |
| vertical               | string         | Vertical associated with interaction, will be **`default`**                                                                                                       |
| audioTranscriptionMode | string or null | If applicable, desired transcription prioritization, will be **`highSpeed`** or **`highAccuracy`**                                                                |
| transcript             | null           | *Uploaded transcripts are deleted upon processing*                                                                                                                |
| chat                   | null           | *Uploaded chats are deleted upon processing*                                                                                                                      |
| downloadUri            | string or null | URL of audio file, if applicable                                                                                                                                  |
| includeAiResults       | string         | Include AI results, will be true or false                                                                                                                         |


**Need more help?** Contact the [ElevateAI Support team](mailto\:support@elevateai.com). &#x20;
